Redmine - Feature #4602

User specific theme
2010-01-18 22:23 - Jifi Kfivanek

Status: New Start date: 2010-01-18
Priority: Normal Due date:

Assignee: % Done: 0%
Category: ul Estimated time: 0.00 hour
Target version:

Resolution:

Description

Hello,

| am sorry for bothering you again, this time (I know) with the stupid request.
| am just arguing with a few of my colleagues which theme is the best one. Well, we were not to find the same opinion to this matter.

Would it be possible to have the theme setting at the user account, say if blank then the system wide theme applies, otherwise, the
user specific is used?

Thank you & best regards,

dJiri.

Related issues:

Related to Redmine - Feature #13035: Add custom template zones that can be us... Closed

Related to Redmine - Feature #5987: Enable a custom theme to very clearly ind... New 2010-07-29
Has duplicate Redmine - Feature #5579: Theme settings should be per-user not ... Closed 2010-05-24
Has duplicate Redmine - Feature #5993: Allow each user to select theme Closed 2010-07-29
Has duplicate Redmine - Feature #16251: Theme changer Closed

History

#1 - 2010-03-26 14:15 - diafza diafza

any luck with this?

#2 - 2010-03-28 10:06 - Jifi Kfivanek

No reaction from the Redmine development team at all...

#3 - 2010-04-02 22:16 - Just Lest

+1

#4 - 2010-04-10 05:07 - Tide _

+1

#5 - 2010-04-10 05:20 - minkbear minkbear

+1

#6 - 2010-04-12 13:55 - Yuki Kita

+1

#7 - 2010-11-16 10:20 - Gauthier Brion

+1

#8 - 2011-01-11 12:12 - Luke Dixon

+1
#9 - 2011-02-14 12:14 - Manuel Padron Martinez

+1

#10 - 2011-03-02 12:02 - Gauthier Brion

For those falling on this issue, you can simply add this plugin :
http://www.redmine.org/plugins/themechanger

#11 - 2012-03-29 19:08 - Jifi Kfivanek

- Status changed from New to Resolved

#12 - 2013-02-08 13:18 - Jan Niggemann (redmine.org team member)

- Status changed from Resolved to New

IMHO this should be in trunk...

#13 - 2013-02-19 15:24 - armin walland

+1

#14 - 2013-02-19 15:47 - Filou Centrinov

Related to #5987, #13035
Duplicate: #5993

#15 - 2013-02-26 10:58 - Toshi MARUYAMA

Filou Centrinov wrote:

Related to #5987, #13035
Duplicate: #5993

Done.

#16 - 2013-04-11 17:59 - Dipan Mehta

+1. This is a nice thing to have.

#17 - 2013-04-13 12:08 - Stéphane Diemer

| have created a JavaScript theme loader to do this.
https://github.com/sdiemer/redmine-multi-theme

The theme selected by the user is stored in his cookies.

At each page loading, the theme loader get the value stored in cookies and add the required CSS file.

The themes in the list have been created automatically with a script | wrote.

PS: 1 didn't test it on IE, because | hate IE and no one in my company uses it, but it should work too.

#18 - 2013-07-08 07:48 - Danil Tashkinov

Yet another plugin for user specific theme: https:/github.com/Undev/redmine_user_specific_theme

#19 - 2013-07-19 11:17 - Jifi Kfivanek

- Status changed from New to Resolved

* For me the issue is resolved.

#20 - 2014-02-13 07:43 - Jong-Ha Ahn

+1

#21 - 2014-02-14 23:31 - Viktor Berke

+1 we don't want plugins for this, this functionality is really basic.

#22 - 2014-02-26 21:39 - Jan Niggemann (redmine.org team member)
- Status changed from Resolved to Closed

#23 - 2014-02-26 21:41 - Jan Niggemann (redmine.org team member)

- Status changed from Closed to New
Re-opening, closed the wrong issue...
#24 - 2015-03-09 17:44 - Moisés Bites

| agree with Victor Berke that "we don't want plugins for this, this functionality is really basic".

This feature would be extremely useful. In our company, we have several different large areas using the same Redmine server, and many users have
different preferences for viewing the demands.

Are there any plans this functionality get into some version of Redmine?

#25 - 2016-02-14 19:25 - Anh Le Giang

+ 1 for this. Really basic feature.

#26 - 2016-02-28 05:34 - Toshi MARUYAMA

- Description updated

#27 - 2016-08-08 12:04 - Alexandru Semenenco

Hi, it's six years ago opened, it is complicated to do this or nobody from developers is interested?

#28 - 2016-11-15 19:35 - Kush Suryavanshi

+1

#29 - 2016-11-16 16:08 - Kush Suryavanshi

For what it's worth, if anyone needs, the following plugin is compatible with Redmine 3.3
https://github.com/seyedmmousavi/redmine_user_specific theme

#30 - 2016-11-17 09:30 - Alexandru Semenenco

Kush Suryavanshi wrote:

For what it's worth, if anyone needs, the following plugin is compatible with Redmine 3.3
https:/github.com/seyedmmousavi/redmine_user_specific_theme

Thanks, work very well.

#31 - 2016-11-17 13:44 - Kush Suryavanshi

Welcome :). Credit goes to the Author. Would be nice if this becomes part of standard Redmine Installation.

#32 - 2017-04-13 11:57 - Pierre de LESPINAY

+1

#33 - 2020-03-07 05:14 - Jihyeon Gim

+1

#34 - 2020-03-09 14:51 - Go MAEDA
- Has duplicate Feature #16251: Theme changer added

#35 - 2020-06-09 15:05 - Cyrion Beleriand

+4 | (me and my coworkers)

#36 - 2025-02-02 14:15 - Dmitry Repkin

+1

#37 - 2025-08-07 03:35 - Nish K
- File clipboard-202508071133-trjjp.png added
Hi, new over here.

Does anyone know if this plugin work on the later versions of Redmine?? https:/github.com/seyedmmousavi/redmine_user_specific_theme

| did try to use it but it crashes Redmine

We're sorry, but something went wrong.

The issue has been logged for investigation. Please try again later.

Technical details for the administrator of this website

This website is powered by Phusion Passenger(R)®, the smart application server built by Phusion®

The version of the Redmine instance | am using is 5.1.6
Also are there any alternatives to how | can allow user specific themes??

Thanks
